scala.tools.nsc.settings.MutableSettings

# IntSetting

###
Related Doc: package MutableSettings

#### class IntSetting extends Setting

A setting represented by an integer.

Source
  MutableSettings.scala

Linear Supertypes
Setting, Mutable, MutableSettings.SettingValue, MutableSettings.AbsSetting, MutableSettings.AbsSettingValue, math.Ordered[Setting], Comparable[Setting], AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. IntSetting
2. Setting
3. Mutable
4. SettingValue
5. AbsSetting
6. AbsSettingValue
7. Ordered
8. Comparable
9. AnyRef
10. Any

Implicitly

1. by orderingToOrdered
2. by any2stringadd
3. by StringFormat
4. by Ensuring
5. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Type Members

1. #### type T = Int

   Definition Classes
     IntSetting → AbsSettingValue

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from IntSetting to any2stringadd[IntSetting] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (IntSetting, B)

   Implicit information
     This member is added by an implicit conversion from IntSetting to ArrowAssoc[IntSetting] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### def <(that: Setting): Boolean

   Definition Classes
     Ordered

6. #### def <=(that: Setting): Boolean

   Definition Classes
     Ordered

7. #### final def ==(arg0: Any): Boolean

   The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   arg0

     the object to compare against this object for equality.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     AnyRef → Any

8. #### def >(that: Setting): Boolean

   Definition Classes
     Ordered

9. #### def >=(that: Setting): Boolean

   Definition Classes
     Ordered

10. #### val IntMax: Int

11. #### val IntMin: Int

12. #### def abbreviations: List[String]

    Definition Classes
      Setting → AbsSetting

13. #### final def asInstanceOf[T0]: T0

    Cast the receiver object to be of type `T0`.

    Cast the receiver object to be of type `T0`.

    Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

    returns

      the receiver object.

    Definition Classes
      Any
    Exceptions thrown

      `ClassCastException` if the receiver object is not an instance of the erasure of type `T0`.

14. #### def choices: List[String]

    Definition Classes
      AbsSetting

15. #### def clone(): AnyRef

    Create a copy of the receiver object.

    Create a copy of the receiver object.

    The default implementation of the `clone` method is platform dependent.

    returns

      a copy of the receiver object.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
    Note

      not specified by SLS as a member of AnyRef

16. #### def compare(that: Setting): Int

    Definition Classes
      AbsSetting → Ordered

17. #### def compareTo(that: Setting): Int

    Definition Classes
      Ordered → Comparable

18. #### val default: Int

19. #### def dependencies: List[(Setting, String)]

    Definition Classes
      Setting → AbsSetting

20. #### def dependsOn(s: Setting, value: String): IntSetting.this.type

    Definition Classes
      Setting

21. #### def deprecationMessage: Option[String]

    Definition Classes
      Setting → AbsSetting

22. #### def ensuring(cond: (IntSetting) ⇒ Boolean, msg: ⇒ Any): IntSetting

    Implicit information
      This member is added by an implicit conversion from IntSetting to Ensuring[IntSetting] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

23. #### def ensuring(cond: (IntSetting) ⇒ Boolean): IntSetting

    Implicit information
      This member is added by an implicit conversion from IntSetting to Ensuring[IntSetting] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

24. #### def ensuring(cond: Boolean, msg: ⇒ Any): IntSetting

    Implicit information
      This member is added by an implicit conversion from IntSetting to Ensuring[IntSetting] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

25. #### def ensuring(cond: Boolean): IntSetting

    Implicit information
      This member is added by an implicit conversion from IntSetting to Ensuring[IntSetting] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

26. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

27. #### def equals(that: Any): Boolean

    Equality tries to sidestep all the drama and define it simply and in one place: two AbsSetting objects are equal if their names and values compare equal.

    Equality tries to sidestep all the drama and define it simply and in one place: two AbsSetting objects are equal if their names and values compare equal.

    that

      the object to compare against this object for equality.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      AbsSetting → AnyRef → Any

28. #### def errorAndValue[T](msg: String, x: T): T

    Issue error and return

    Issue error and return

    Definition Classes
      AbsSetting

29. #### def errorMsg(): Unit

30. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
    Note

      not specified by SLS as a member of AnyRef

31. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from IntSetting to StringFormat[IntSetting] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

32. #### final def getClass(): Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

33. #### def hashCode(): Int

    The hashCode method for reference types.

    The hashCode method for reference types. See hashCode in scala.Any.

    returns

      the hash code value for this object.

    Definition Classes
      AbsSetting → AnyRef → Any

34. #### val helpDescription: String

    Definition Classes
      Setting → AbsSetting

35. #### def helpSyntax: String

    Definition Classes
      Setting → AbsSetting

36. #### def internalOnly(): IntSetting.this.type

    Definition Classes
      AbsSetting

37. #### def isAdvanced: Boolean

    These categorizations are so the help output shows -X and -P among the standard options and -Y among the advanced options.

    These categorizations are so the help output shows -X and -P among the standard options and -Y among the advanced options.

    Definition Classes
      AbsSetting

38. #### def isDefault: Boolean

    Definition Classes
      SettingValue → AbsSettingValue

39. #### def isDeprecated: Boolean

    Definition Classes
      AbsSetting

40. #### def isForDebug: Boolean

    Definition Classes
      AbsSetting

41. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

42. #### def isInternalOnly: Boolean

    Definition Classes
      AbsSetting

43. #### def isPrivate: Boolean

    Definition Classes
      AbsSetting

44. #### def isSetByUser: Boolean

    Definition Classes
      SettingValue

45. #### def isStandard: Boolean

    Definition Classes
      AbsSetting

46. #### def max: Int

47. #### def min: Int

48. #### val name: String

    Definition Classes
      Setting → AbsSetting

49. #### final def ne(arg0: AnyRef): Boolean

    Equivalent to `!(this eq that)`.

    Equivalent to `!(this eq that)`.

    returns

      `true` if the argument is not a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

50. #### final def notify(): Unit

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

51. #### final def notifyAll(): Unit

    Wakes up all threads that are waiting on the receiver object's monitor.

    Wakes up all threads that are waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

52. #### def parseArgument(x: String): Option[Int]

53. #### def postSetHook(): Unit

    Definition Classes
      Setting → SettingValue

54. #### val range: Option[(Int, Int)]

55. #### def respondsTo(label: String): Boolean

    Definition Classes
      AbsSetting

56. #### var setByUser: Boolean

    Attributes
      protected
    Definition Classes
      SettingValue

57. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

58. #### def toString(): String

    Creates a String representation of this object.

    Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

    returns

      a String representation of the object.

    Definition Classes
      AbsSetting → AnyRef → Any

59. #### def tryToSet(args: List[String]): Option[ResultOfTryToSet]

    After correct Setting has been selected, tryToSet is called with the remainder of the command line.

    After correct Setting has been selected, tryToSet is called with the remainder of the command line. It consumes any applicable arguments and returns the unconsumed ones.

    Definition Classes
      IntSetting → AbsSetting

60. #### def tryToSetColon(args: List[String]): Option[ResultOfTryToSet]

    Commands which can take lists of arguments in form -Xfoo:bar,baz override this method and accept them as a list.

    Commands which can take lists of arguments in form -Xfoo:bar,baz override this method and accept them as a list. It returns List[String] for consistency with tryToSet, and should return its incoming arguments unmodified on failure, and Nil on success.

    Attributes
      protected[scala.tools.nsc]
    Definition Classes
      AbsSetting

61. #### def tryToSetFromPropertyValue(s: String): Unit

    Attempt to set from a properties file style property value.

    Attempt to set from a properties file style property value. Currently used by Eclipse SDT only. !!! Needs test.

    Definition Classes
      AbsSetting

62. #### def unparse: List[String]

    Definition Classes
      IntSetting → AbsSetting

63. #### var v: Int

    Attributes
      protected
    Definition Classes
      IntSetting → SettingValue

64. #### def value: Int

    Definition Classes
      IntSetting → SettingValue → AbsSettingValue

65. #### def valueSetByUser: Option[T]

    Definition Classes
      SettingValue

66. #### def value_=(s: Int): Unit

    Definition Classes
      IntSetting → SettingValue

67. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

68. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

69. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

70. #### def withAbbreviation(s: String): IntSetting.this.type

    In mutable Settings, these return the same object with a var set.

    In mutable Settings, these return the same object with a var set. In immutable, of course they will return a new object, which means we can't use "this.type", at least not in a non-casty manner, which is unfortunate because we lose type information without it.

    ...but now they're this.type because of #3462. The immutable side doesn't exist yet anyway.

    Definition Classes
      Setting → AbsSetting

71. #### def withDeprecationMessage(msg: String): IntSetting.this.type

    Definition Classes
      Setting → AbsSetting

72. #### def withHelpSyntax(s: String): IntSetting.this.type

    Definition Classes
      Setting → AbsSetting

73. #### def withPostSetHook(f: (IntSetting.this.type) ⇒ Unit): IntSetting.this.type

    Definition Classes
      Setting

74. #### def →[B](y: B): (IntSetting, B)

    Implicit information
      This member is added by an implicit conversion from IntSetting to ArrowAssoc[IntSetting] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Shadowed Implicit Value Members

1. #### def <(that: IntSetting): Boolean

   Implicit information
     This member is added by an implicit conversion from IntSetting to math.Ordered[IntSetting] performed by method orderingToOrdered in scala.math.Ordered. This conversion will take place only if an implicit value of type math.Ordering[IntSetting] is in scope.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (intSetting: math.Ordered[IntSetting]).<(that)

   Definition Classes
     Ordered

2. #### def <=(that: IntSetting): Boolean

   Implicit information
     This member is added by an implicit conversion from IntSetting to math.Ordered[IntSetting] performed by method orderingToOrdered in scala.math.Ordered. This conversion will take place only if an implicit value of type math.Ordering[IntSetting] is in scope.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (intSetting: math.Ordered[IntSetting]).<=(that)

   Definition Classes
     Ordered

3. #### def >(that: IntSetting): Boolean

   Implicit information
     This member is added by an implicit conversion from IntSetting to math.Ordered[IntSetting] performed by method orderingToOrdered in scala.math.Ordered. This conversion will take place only if an implicit value of type math.Ordering[IntSetting] is in scope.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (intSetting: math.Ordered[IntSetting]).>(that)

   Definition Classes
     Ordered

4. #### def >=(that: IntSetting): Boolean

   Implicit information
     This member is added by an implicit conversion from IntSetting to math.Ordered[IntSetting] performed by method orderingToOrdered in scala.math.Ordered. This conversion will take place only if an implicit value of type math.Ordering[IntSetting] is in scope.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (intSetting: math.Ordered[IntSetting]).>=(that)

   Definition Classes
     Ordered

5. #### def compare(that: IntSetting): Int

   Implicit information
     This member is added by an implicit conversion from IntSetting to math.Ordered[IntSetting] performed by method orderingToOrdered in scala.math.Ordered. This conversion will take place only if an implicit value of type math.Ordering[IntSetting] is in scope.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (intSetting: math.Ordered[IntSetting]).compare(that)

   Definition Classes
     Ordered

6. #### def compareTo(that: IntSetting): Int

   Implicit information
     This member is added by an implicit conversion from IntSetting to math.Ordered[IntSetting] performed by method orderingToOrdered in scala.math.Ordered. This conversion will take place only if an implicit value of type math.Ordering[IntSetting] is in scope.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (intSetting: math.Ordered[IntSetting]).compareTo(that)

   Definition Classes
     Ordered → Comparable

### Inherited from Setting

### Inherited from Mutable

### Inherited from MutableSettings.SettingValue

### Inherited from MutableSettings.AbsSetting

### Inherited from MutableSettings.AbsSettingValue

### Inherited from math.Ordered[Setting]

### Inherited from Comparable[Setting]

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion orderingToOrdered from IntSetting to math.Ordered[IntSetting]

### Inherited by implicit conversion any2stringadd from IntSetting to any2stringadd[IntSetting]

### Inherited by implicit conversion StringFormat from IntSetting to StringFormat[IntSetting]

### Inherited by implicit conversion Ensuring from IntSetting to Ensuring[IntSetting]

### Inherited by implicit conversion ArrowAssoc from IntSetting to ArrowAssoc[IntSetting]

### Ungrouped